
#define SDRIP_SAMPLING_CLOCK_DIV10 8000000
#define SDR14_SAMPLING_CLOCK 66.66666666
#define PERSEUS_SAMPLING_CLOCK 80000000.0
#define MAX_PERSEUS_FILTER 11

#if(OSNUM == OS_FLAG_LINUX)
#define MAX_PERSEUS_RATES 6
#endif
#if(OSNUM == OS_FLAG_WINDOWS)
#define MAX_PERSEUS_RATES 9
#endif

#define PERSEUS_RATES_BUFSIZE 20
extern double perseus_rates[PERSEUS_RATES_BUFSIZE];
extern int no_of_perseus_rates;

extern double adjusted_sdr_clock;
extern char *sdr14_name_string;
extern char *sdriq_name_string;
extern char *sdrip_name_string;
extern char *perseus_name_string;

// Structure for Perseus parameters
typedef struct {
int rate_no;
int clock_adjust;
int presel;
int preamp;
int dither;
int check;
}P_PERSEUS;
#define MAX_PERSEUS_PARM 6

typedef struct {
int parport;
int parport_pin;
int rx2500_fqcorr;
int rx10700_fqcorr0;
int rx10700_fqcorr1;
int rx10700_fqcorr2;
int rx10700_fqcorr3;
int rx70_fqcorr0;
int rx70_fqcorr1;
int rx70_fqcorr2;
int rx70_fqcorr3;
int rx70_fqcorr4;
int rx144_fqcorr0;
int rx144_fqcorr1;
int rx144_fqcorr2;
int rx144_fqcorr3;
int rxhfa_fqcorr0;
int rxhfa_fqcorr1;
int rxhfa_fqcorr2;
int rxhfa_fqcorr3;
int rxhfa_fqcorr4;
int tx2500_fqcorr;
int tx10700_fqcorr0;
int tx10700_fqcorr1;
int tx10700_fqcorr2;
int tx10700_fqcorr3;
int tx70_fqcorr0;
int tx70_fqcorr1;
int tx70_fqcorr2;
int tx70_fqcorr3;
int tx70_fqcorr4;
int txhfa_fqcorr0;
int txhfa_fqcorr1;
int txhfa_fqcorr2;
int txhfa_fqcorr3;
int txhfa_fqcorr4;
int tx144_fqcorr0;
int tx144_fqcorr1;
int tx144_fqcorr2;
int tx144_fqcorr3;
}WSE_PARM;
#define MAX_WSE_PARM 40

extern WSE_PARM wse;




void close_sdr14(void);
void close_perseus(void);
int init_sdr14(void);
int init_perseus(void);
int init_sdrip(void);
int display_perseus_parm_info(int *line);
int display_sdr14_parm_info(int *line);
int display_sdrip_parm_info(int *line);
void fill_perseus_rates(void);
